[PATCH v4 09/21] libnd, nd_pmem: add libnd support to the pmem driver